Last Comment Bug 496109 - [nso] Northern Sotho: Firefox
: [nso] Northern Sotho: Firefox
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: Registration & Management (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Localization Registration Bugs
:
Mentors:
Depends on:
Blocks: fx-l10n-nso
  Show dependency treegraph
 
Reported: 2009-06-03 04:41 PDT by Dwayne Bailey
Modified: 2010-08-24 08:41 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Northern Sotho Firefox localisations (102.05 KB, application/x-bzip2)
2009-06-03 04:44 PDT, Dwayne Bailey
l10n: review-
Details
Latest NSO translations (769.07 KB, application/x-tar)
2010-06-01 10:35 PDT, Dwayne Bailey
no flags Details
Firefox NSO 3.5 ported to 4.0 (171.10 KB, application/x-bzip)
2010-08-12 01:11 PDT, Dwayne Bailey
l10n: review+
Details

Description Dwayne Bailey 2009-06-03 04:41:09 PDT
This is for the inclusion of Northern Sotho into Firefox.

The following are about our status and strategy forward.

As mentioned in bug 415645 at this stage the areas that we've worked on specifically are user1, user2 and config1.  We're focusing on highly user visible parts of Firefox. We started with a full terminology review and created Firefox specific terminology to ensure conformance across the platform.  Each gaol is being thoroughly reviewed and updated with terminology and style being aligned.

Through each stage we have been running pofilter checks to ensure that the work is technically correct.

In terms of progress in percentage we're at 60% of the words, 70% of strings.  All of these translations outside of user1,2 and config1 still need to be reviewed. Thus in terms of the coverage that has been completely review as against the total of +-21000 words we are at 37% of the total.

Our strategy from here on is to work through user3 and config2. We will then tackle all other areas.  Once translations are complete we will then run our checks using poconflicts to ensure consistency.

We hope to begin with in product reviews as soon as we have language packs.  We will use podebug to make Northern Sotho builds with tags for quick fixing of errors.
Comment 1 Dwayne Bailey 2009-06-03 04:44:39 PDT
Created attachment 381291 [details]
Northern Sotho Firefox localisations

This includes all files and translations.  Created using po2moz.
Comment 2 Axel Hecht [:Pike] 2009-06-10 03:46:28 PDT
Dwayne, we'll really need the actual localizer here as contact.
Comment 3 Dwayne Bailey 2009-06-12 04:25:29 PDT
(In reply to comment #2)
> Dwayne, we'll really need the actual localizer here as contact.

I explained how we built this team in the last bug. Pheledi is focusing on the translations. Friedel and I on technical requirements, bugs, tarballs, building, etc.  Its about making the best use of everyones time. So making her file this bug in terms of how we've put the team together is simply not the best use of her skills.  I'm pretty sure other teams also balance peoples skills like we're trying to do here.
Comment 4 Seth Bindernagel 2009-06-12 08:51:34 PDT
(In reply to comment #3)
> I explained how we built this team in the last bug. Pheledi is focusing on the
> translations. Friedel and I on technical requirements, bugs, tarballs,
> building, etc.  Its about making the best use of everyones time. So making her
> file this bug in terms of how we've put the team together is simply not the
> best use of her skills.  I'm pretty sure other teams also balance peoples
> skills like we're trying to do here.

Hi Dwayne, if it appears that we want to transfer all the technical work to Pheledi, that's not the case.  Mostly, we're interested in developing relationships with all the community members so they can learn, grow, participate with everyone else.  In the event we want to do outreach or conferences or whatever, it might be nice to have had a pre-existing relationship with each of our localizers.  This request comes with the understanding that you and Friedel will continue to help with technical stuff.  But, we would love for Pheledi to also learn a bit about the process, and if she becomes more interested, she can ask the community directly for some help or tutorials.  Really, it's about building a community where everyone knows of each other (or better, knows each other) and can grow with each other. 

Thanks!
Comment 5 Friedel Wolff 2010-02-23 06:49:39 PST
Now that introductions have been done, can we continue moving forward with this?
Comment 6 Seth Bindernagel 2010-02-23 19:06:04 PST
(In reply to comment #5)
> Now that introductions have been done, can we continue moving forward with
> this?

Good call Friedel.  Thanks for the ping.  We'll need to chat about search engines, protocol handlers, and that "productization" stuff.  Separate bugs should be filed. 

I'd be up for trying to build Northern Sotho within our official release engineering process.  Axel, thoughts?  We've met the localizer who is committed to doing the work.  Dwayne and Friedel will help with technical stuff when necessary.  Pheledi seems very engaged and eager.  I'd love to give it a try.  Thoughts?
Comment 7 Friedel Wolff 2010-02-25 02:28:55 PST
The files in the l10n layout can be downloaded from here:

http://l10n.mozilla.org/pootle/l10n_anloc/

We can regenerate them from the translations for the first check-in if that is desirable.
Comment 8 Seth Bindernagel 2010-03-05 10:19:30 PST
Axel, any thoughts on setting up Northern Sotho in the build system?
Comment 9 Dwayne Bailey 2010-03-29 02:42:11 PDT
Ping?
Comment 10 Seth Bindernagel 2010-03-29 14:52:18 PDT
Axel and I will do another review very soon and report back.  Thanks for the repeated pinging.
Comment 11 Gervase Markham [:gerv] 2010-05-26 08:34:28 PDT
sethb: ping again? :-)

Gerv
Comment 12 Axel Hecht [:Pike] 2010-05-30 12:59:15 PDT
Comment on attachment 381291 [details]
Northern Sotho Firefox localisations

Noting an r- on this attachment, 94 missing strings.

I'd love to get a current one from l10n.m.o, as those are much closer.
Comment 13 Dwayne Bailey 2010-05-31 02:16:32 PDT
(In reply to comment #12)
> (From update of attachment 381291 [details])
> Noting an r- on this attachment, 94 missing strings.
> 
> I'd love to get a current one from l10n.m.o, as those are much closer.

OK I'm lost.

Axel it seems as if you reviewed the translations from June 2009 as opposed on the ones from l10n.m.o which can be downloaded - is that correct? Or did I read this wrong?

I'm still not sure what prevents us getting this into version control. At least in version control we're able to quickly update those missing strings and get them into nightly builds.

At the moment I'm really not sure what you want us to do next.  So let me be direct and ask if you could tell us exactly what you need us to do next.
Comment 14 Axel Hecht [:Pike] 2010-05-31 02:54:24 PDT
Dwayne, I cannot keep track of things are not in the review list, there's just too much stuff going around. Same holds true for things in the queue to remind of other things in the queue.

Also, version control is one step towards shipping, and only one. Right now, we have 9 locales in beta, and 4 in the queue, and don't make good progress on those. I can't really tell you more things to work on, 'cause they're not ready to be worked on (like web pages, for example). I don't have an ETA either.
Comment 15 Dwayne Bailey 2010-05-31 13:34:24 PDT
I'm sorry Axel but it's still completely unclear for me what YOU want us to do to move this forward.

What exactly does, "I'd love to get a current one from l10n.m.o, as those are much closer." mean?  Was that a request to us, was that a note to yourself, are you expecting us to upload a tarball, could you not download the tarball, are you waiting for 94 missing strings.  What exactly is it that you need from us?
Comment 16 Axel Hecht [:Pike] 2010-05-31 14:37:10 PDT
Concretely, please attach a snapshot that's the right starting point for our work in version control to this bug and request review.
Comment 17 Dwayne Bailey 2010-06-01 10:35:08 PDT
Created attachment 448554 [details]
Latest NSO translations

Latest NSO tarball from http://l10n.mozilla.org/pootle/l10n_anloc/nso_l10n.tar.bz2

This is based on 3.6, I don't think it has the Lorenz strings in it.
Comment 18 Dwayne Bailey 2010-08-12 01:11:38 PDT
Created attachment 465151 [details]
Firefox NSO 3.5 ported to 4.0

This is a port of 3.6 translations to 4.0
Comment 19 Axel Hecht [:Pike] 2010-08-24 08:37:28 PDT
Comment on attachment 465151 [details]
Firefox NSO 3.5 ported to 4.0

Denoting my r+, of course the translation ratio will need to get a good deal higher. More in a minute.
Comment 20 Axel Hecht [:Pike] 2010-08-24 08:41:30 PDT
Sooooo, now we're talking, landed this as http://hg.mozilla.org/l10n-central/nso/rev/78b7184d8e48.

Firstly, welcome to the new world, you have localized builds for Northern Sotho Firefox 4.0pre.

*Immediate Next Steps*

To get them to ship to users, we'll need to work on the bugs blocking your release tracker, https://bugzilla.mozilla.org/showdependencytree.cgi?id=fx40-l10n-nso&hide_resolved=1.

*Staying connected*

You should also follow the Mozilla l10n newsgroup, http://www.mozilla.org/community/forums/#dev-l10n, available as mailing list, newsgroup or google group. The traffic isn't too high frequency. You'll find messages starting with [ANNOUNCE] in the subject every now and then, those are vital to read, as they include things that the l10n-drivers want you to know and attend to. There's a second group, http://www.mozilla.org/community/forums/#dev-l10n-web, where we discuss web localization issues. That's a separate group as quite a few localization teams have dedicated volunteers for that.

*Northern Sotho Builds of Firefox*

We refer to the pre-release versions of Firefox as "builds". These are where you will continue to work and test to perfect your localization. They're coming in two variants:

- Nightlies. You find those on http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-central-l10n/. Sometimes it starts with old versions, so you wanna look at the end what's the current version, and then search for the firefox-4.0b5pre.nso.win32.installer.exe, firefox-4.0b5pre.nso.linux-i686.tar.bz2, or firefox-4.0b5pre.nso.mac.dmg files for win, linux, and mac, resp. These files are good to use for daily browsing, and they'll get a small incremental update every night, bringing both the latest of the stability release as well as your landings to you and your fellow testers.

- Tinderbox builds. Those get built within a few minutes after you landed fixes in hg and pushed them to the upstream repo. Those are the right thing to quickly verify that the changes you made work in the build. These builds can be found on http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-central-l10n/ (note the different dir two levels up).

Both of these builds are coming from your new hg repository. You can clone it with http://hg.mozilla.org/l10n-central/nso/ anonymously, and with ssh:// instead of http:// for those with hg account.

Please make sure that you're not regressing the fixes that I landed on top of your attachments, http://hg.mozilla.org/l10n-central/nso/pushloghtml?fromchange=78b7184d8e48&tochange=6142644b5b00. Just added en-US copies of README.txt and the user css files.

*Monitoring your localization now and in the future*

Now, as if that wasn't enough, there are a few places on the web that you should regularly check to see if there's stuff to do. One would be the web dashboard (you'll use that to hunt down the web pages for your Firefox release), http://l10n.mozilla.org/webdashboard/?locale=nso. The other one is called the dashboard, you can find it at https://l10n-stage-sj.mozilla.org/shipping/dashboard?locale=nso. And you and your peers should start watching the bugzilla alias for your locale, nso@localization.bugs, if we go for that. You can do that at the bottom of https://bugzilla.mozilla.org/userprefs.cgi?tab=email#new_watched_by_you.

Enjoy and congratulations!

Note You need to log in before you can comment on or make changes to this bug.